BogusTrustManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.security.BogusTrustManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.security
Class BogusTrustManager

    java.lang.Object
      org.hyperic.util.security.BogusTrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

    public class BogusTrustManager

extends java.lang.Object
implements javax.net.ssl.X509TrustManager

The bogus trust manager allows for non-validated remote SSL entities. In the case of people using self-signed certificates, this allows a connection, since it is unlikely that they are using a CA, or that the CA will be in the client's cacerts of jssecerts files.

Constructor Summary
`BogusTrustManager()`

Method Summary
`void` | `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` | `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`
`boolean` | `isClientTrusted(java.security.cert.X509Certificate[] chain)`
`boolean` | `isServerTrusted(java.security.cert.X509Certificate[] chain)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BogusTrustManager

    public BogusTrustManager()

Method Detail

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)

  Specified by:
    `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)

  Specified by:
    `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`

### isClientTrusted

    public boolean isClientTrusted(java.security.cert.X509Certificate[] chain)

### isServerTrusted

    public boolean isServerTrusted(java.security.cert.X509Certificate[] chain)

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.